## icukrell 2.0.0pre0.1-2

=== Makefile ===
#
# Makefile for IcuKrell 2.0.0-pre0.1
#

DESTDIR = /usr/local/share
INSTALL_PROGRAM = install -m 644 -D

GTK_INCLUDE = `pkg-config --cflags gtk+-2.0 gthread-2.0`
GTK_LIB = `pkg-config --cflags gtk+-2.0 gthread-2.0`

IMLIB_INCLUDE = 
IMLIB_LIBS = 

CFLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(GNOME_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(GNOME_LIBS) $(IMLIB_LIBS)
LFLAGS = -shared -lpthread

CC = gcc $(CFLAGS) $(FLAGS)

OBJS =  src/action.o src/options.o src/icukrell.o src/themes.o src/net.o

ICUKRELL_PROGS = icukrell.so

all: $(ICUKRELL_PROGS)

icukrell.so: $(OBJS)
	$(CC) $(OBJS) -o icukrell.so $(LFLAGS) $(LIBS)

clean:
	rm -f src/*.o src/core *.so* src/*.bak src/*~

install:
	echo ___ $(INSTALL_PROGRAM) ___
	$(INSTALL_PROGRAM) icukrell.so $(DESTDIR)/gkrellm2/plugins/icukrell.so

install-user:
	$(INSTALL_PROGRAM) icukrell.so $(HOME)/.gkrellm2/plugins/icukrell.so

icukrell.c.o: icukrell.c
options.c.o: options.c
action.c.o: action.c
theme.c.o: theme.c
net.c.o: net.c

=== debian/changelog ===
icukrell (2.0.0pre0.1-2) unstable; urgency=low

  * Added builddep on gkrellm-common (Closes:#192478)
  
 -- Leo Costela <costela@debian.org>  Tue, 15 Apr 2003 10:33:21 -0300

icukrell (2.0.0pre0.1-1) unstable; urgency=low

  * First Debian package (Closes:#189358)
  
 -- Leo Costela <costela@debian.org>  Tue, 15 Apr 2003 10:33:21 -0300

=== debian/control ===
Source: icukrell
Section: net
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>> 4.0.0), libgtk2.0-dev (>= 2.2.0), libglib2.0-dev (>= 2.2.0), gkrellm-common (>= 2.1.0)
Standards-Version: 3.5.9

Package: icukrell
Architecture: any
Depends: gkrellm (>= 2.1.4), gnomeicu (>= 0.98.121), ${shlibs:Depends}
Description: GKrellm plugin which shows the status of GnomeICU
 This plugin gathers information from a running session of GnomeICU and
 shows it in a Krell.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

INSTALL_PROGRAM = install -m 644 -D

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/icukrell/usr/lib INSTALL_PROGRAM="$(INSTALL_PROGRAM)"


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README TODO
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
